"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = exports.Custom = void 0;
var _react = _interopRequireDefault(require("react"));
var _Clock = _interopRequireDefault(require("../Clock"));
var _utils = require("../../../utils");
var _Object$keys;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = {
  title: "components/Clock",
  component: _Clock.default,
  decorators: [Story => /*#__PURE__*/_react.default.createElement("div", {
    style: {
      display: "flex",
      justifyContent: "center",
      alignItems: "center",
      height: "95vh",
      width: "95vw"
    }
  }, /*#__PURE__*/_react.default.createElement(Story, null))]
};
exports.default = _default;
const Default = () => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    height: "200px",
    width: "600px"
  }
}, /*#__PURE__*/_react.default.createElement(_Clock.default, null));
exports.Default = Default;
const Template = args => /*#__PURE__*/_react.default.createElement(_Clock.default, args);
const Custom = Template.bind({});
exports.Custom = Custom;
Custom.decorators = [Story => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    height: "200px",
    width: "600px"
  }
}, /*#__PURE__*/_react.default.createElement(Story, null))];
Custom.argTypes = {
  size: {
    control: "inline-radio",
    options: Object.keys(_utils.CLOCK_SIZES !== null && _utils.CLOCK_SIZES !== void 0 ? _utils.CLOCK_SIZES : {}),
    defaultValue: (_Object$keys = Object.keys(_utils.CLOCK_SIZES !== null && _utils.CLOCK_SIZES !== void 0 ? _utils.CLOCK_SIZES : {})) === null || _Object$keys === void 0 ? void 0 : _Object$keys[0]
  },
  timestamp: {
    control: false
  }
};